-- Dump title and URL of bookmarks.
-- Ignores bookmarklets and duplicates,
-- sorts by title
SELECT b.title, p.url
FROM moz_bookmarks AS b
LEFT JOIN moz_places AS p
ON b.fk = p.id
WHERE b.type = 1 AND p.url NOT LIKE 'javascript:%'
GROUP BY p.url, b.title
ORDER BY b.title, p.url
